%define		module dateutil
Summary:	Extensions to the standard datetime module
Summary(pl.UTF-8):	Rozszerzenia modułu datetime języka Python
Name:		python-dateutil
Version:	1.5
Release:	4
License:	BSD
Group:		Libraries/Python
Source0:	http://niemeyer.net/download/python-dateutil/python-%{module}-%{version}.tar.gz
# Source0-md5:	35f3732db3f2cc4afdc68a8533b60a52
Patch0:		system-zoneinfo.patch
URL:		http://niemeyer.net/python-dateutil
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 0.219
Requires:	tzdata
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The dateutil module provides powerful extensions to the standard
datetime module, available in Python 2.3+. Allows:
- computing of relative deltas (next month, next year, next monday,
  last week of month, etc),
- computing of dates based on very flexible recurrence rules, using a
  superset of the [WWW] iCalendar specification,
- parsing of RFC strings,
- peneric parsing of dates in almost any string format.

%description -l pl.UTF-8
Moduł dateutil jest potężnym rozszerzeniem standardowego modułu
datetime, dostępnego w Pythonie 2.3+. Pozwala na:
- obliczanie relatywnych różnic (następny miesiąc, rok, poniedziałek,
  ostatni tydzień miesiąca itp.),
- obliczanie dat w oparciu o bardzo elastyczne rekurencyjne zasady, z
  użyciem nadzbioru specyfikacji [WWW] iCalendar,
- analizę łańcuchow znakowych RFC,
- analizę dat w prawie każdym formacie.

%prep
%setup -q
%patch0 -p1

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT \

%py_postclean

# NOTE: Not sure but seems zoneinfo is needed under windows only
%{__rm} -r $RPM_BUILD_ROOT%{py_sitescriptdir}/dateutil/zoneinfo

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE NEWS README
%{py_sitescriptdir}/dateutil
%{py_sitescriptdir}/python_dateutil-*.egg-info
%changelog
* Mon Jun 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-dateutil.git;a=log;h=master

* Mon Jun 24 2013 Jan Rękorajski <baggins@pld-linux.org> 5707661
- release 4 (by relup.sh)

* Thu Jan 24 2013 Elan Ruusamäe <glen@delfi.ee> 07c95c9
- system tzdata patch from fedora. just in case

* Thu Jan 24 2013 Elan Ruusamäe <glen@delfi.ee> fbb0836
- build noarch; rebuild for fixed pythoneggs

* Wed May 25 2011 cieciwa <cieciwa@pld-linux.org> b92543a
- updated MD5 sum.

* Wed May 25 2011 cieciwa <cieciwa@pld-linux.org> 9ede274
- back to 1.5 version, 2.0 in python-dateutil2.spec.

* Sun May 22 2011 wrobell <wrobell@pld-linux.org> 143a32c
- compile with python 3 properly (package for python 2.x needs to be done)

* Sun May 22 2011 wrobell <wrobell@pld-linux.org> 69396a3
- ver. 2.0

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 9dc88c1
- release 5

* Wed Oct 28 2009 Elan Ruusamäe <glen@pld-linux.org> b614a92
- package egg; rel 4

* Wed Oct 28 2009 Elan Ruusamäe <glen@pld-linux.org> b00980d
- release 3

* Wed Oct 28 2009 Elan Ruusamäe <glen@pld-linux.org> 4c88eeb
- cleanups

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> aa7cf47
- release 2

* Fri Feb 22 2008 wrobell <wrobell@pld-linux.org> acdac6d
- ver. 1.3

* Sun Aug 12 2007 wrobell <wrobell@pld-linux.org> d7e634e
- tabs

* Wed Aug 01 2007 Jakub Krajniak <jkrajniak@gmail.com> f1cf5c8
- up to 1.2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 4edbeb3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> fc87203
- converted to UTF-8

* Fri Jun 30 2006 Jakub Bogusz <qboosh@pld-linux.org> 2398f4c
- added doc

* Thu Mar 09 2006 Jakub Bogusz <qboosh@pld-linux.org> 88fadcb
- pl fixes

* Tue Mar 07 2006 Mateusz Korniak <matkor@pld-linux.org> 925dc3f
- Initial spec for 1.1-1. Needs only some pl. STBR(Ac).

